# Deviations from default production-like configuration of the helm chart.
# https://github.com/jaegertracing/helm-charts/blob/main/charts/jaeger/values.yaml
# helm upgrade --install --values this_file.yaml jaeger jaegertracing/jaeger

# We do not need to install any of these storage backends as we are sending
# tracing data to APM instead / existing Elasticsearch.
provisionDataStore:
  cassandra: false
  elasticsearch: false
  kafka: false

tag: 1.39.0

storage:
  type: elasticsearch
  elasticsearch:
    scheme: http
    host: elastic-es-internal-http.monitoring.svc.cluster.local
    port: 9200
    user: elastic
    usePassword: true
    # FILL REAL PASSWORD
    # password: XXXX


collector:
  resources:
    requests:
      cpu: 20m
      memory: 50Mi
    limits:
      cpu: 50m

query:
  resources:
    requests:
      cpu: 10m
      memory: 30Mi

esIndexCleaner:
  enabled: true
  resources:
    requests:
      cpu: 50m
      memory: 50Mi
    limits:
      cpu: 100m
  numberOfDays: 2

esRollover:
  enabled: true
  extraEnv:
    - name: CONDITIONS
      value: '{"max_age": "8h"}'

# Send tracing data to Jaeger collector and APM via GRPC with TLS.
agent:
  cmdlineParams:
    #reporter.grpc.host-port: otel-collector.jztest.svc.cluster.local:14250
    reporter.grpc.host-port: jaeger-collector:14250 #,apm-server-quickstart-apm-http.logging.svc.cluster.local:8200
    #reporter.grpc.tls.enabled: true
    #reporter.grpc.tls.skip-host-verify: true
  resources:
    requests:
      cpu: 50m
      memory: 20Mi
    limits:
      cpu: 100m
